Skip to content

Report API and database health

GET
/api/v1/health
curl --request GET \
--url https://api.crossmart.io/api/v1/health

The Health Check is successful

Media typeapplication/json
object
status
string
Allowed values: ok degraded
info
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any
error
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any
details
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any

Example

{
"status": "ok",
"info": {
"database": {
"status": "up",
"responseTime": 12
}
},
"error": {},
"details": {
"database": {
"status": "up",
"responseTime": 12
}
}
}

The Health Check is not successful

Media typeapplication/json
object
status
string
Allowed values: error shutting_down
info
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any
error
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any
details
object
key
additional properties
object
status
required
string
Allowed values: up degraded down
responseTime

Time the health indicator took to respond, in ms

number
key
additional properties
any

Example

{
"status": "error",
"info": {
"database": {
"status": "up",
"responseTime": 12
}
},
"error": {
"redis": {
"status": "down",
"message": "Could not connect",
"responseTime": 3005
}
},
"details": {
"database": {
"status": "up",
"responseTime": 12
},
"redis": {
"status": "down",
"message": "Could not connect",
"responseTime": 3005
}
}
}